!
!
!	FILE SYSTEM TESTER 02/04/80
!
!
	PROGRAM ORIGIN :2C00
	DATA ORIGIN :2800
	DIM	CFILES(20), NFILES/20/
	DIM	FILE$[100]
	DIM	OP, I, J, K, L, CHAN, FILE
	DIM	OFILES(5,2), CHANS(5), NCHANS/5/, TCHANS/5/
	DIM	OPS(9), TOPS, NOPS/9/, NOPSTOGO/9/
	DIM	SIZE, TRACE

	PRINT	"*** File system diagnostic 2 02/06/80 ***"


!	ASSIGN "NO FILES OPEN"
	FOR	I=1 TO NFILES
	CFILES(I)=0
	NEXT	I

!	ASSIGN PROBABLILITIES
	TOPS	=0
	FOR	J=1 TO NOPS
	TOPS	=TOPS+5
	OPS(J)	=5
	NEXT	J

!	ASSIGN CHANNELS
	FOR	I=1 TO NCHANS
	CHANS(I)=I
	OFILES(I,1)=0
	NEXT	I

!	TCHANS=NCHANS
	INPUT	"TRACE? (0=NO, 1=YES) " TRACE
	CHAIN	"FTEST2"
	END
